Update the battery capacity of an Entity
curl --request PUT \
--url https://api.traxes.io/connect/v1/entities/{entityId}/battery-capacity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"batteryCapacity": 123
}
'import requests
url = "https://api.traxes.io/connect/v1/entities/{entityId}/battery-capacity"
payload = { "batteryCapacity": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({batteryCapacity: 123})
};
fetch('https://api.traxes.io/connect/v1/entities/{entityId}/battery-capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batteryCapacity": 123
}{
"errors": [
{
"code": "<string>",
"description": "<string>",
"message": "<string>"
}
]
}Battery Capacity
Update the battery capacity of an Entity
Set the battery capacity of an Entity and returns the updated battery capacity of that Entity
PUT
/
v1
/
entities
/
{entityId}
/
battery-capacity
Update the battery capacity of an Entity
Authorizations
Access Token Authentication
Path Parameters
The id of the Entity
Body
application/json
A request to modify the battery capacity of an Entity
The capacity of the battery.
Response
OK
The battery capacity of an Entity
The capacity of the battery.
Was this page helpful?
⌘I